Remote References
curl --request POST \
--url https://{host}/Agent/Account/RemoteReferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Referer: <referer>' \
--data '{}'import requests
url = "https://{host}/Agent/Account/RemoteReferences"
payload = {}
headers = {
"Referer": "<referer>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Referer: '<referer>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://{host}/Agent/Account/RemoteReferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"References": [
{
"domain": "<string>",
"legalId": "<string>"
}
]
}Accounts
Remote References
Allows the client to get a list of references to remote neurons the user can quick-login to using /Account/RemoteQuickLogin. Note: The list may not be complete.
POST
/
Agent
/
Account
/
RemoteReferences
Remote References
Overview
Allows the client to get a list of references to remote neurons the user can quick-login to using /Account/RemoteQuickLogin. Note: The list may not be complete. Each time a Legal Identity is added or removed as a reference on an Neuron, an incremental message is sent ot the Neuron hosting the associated account. If the list is not complete, just remove and add the reference to the Legal ID again on the remote broker, to update the list.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Your application's HTTPS URL, for example https://app.example.com/. Include this header on every Agent API request, including backend calls, login, and account creation. Browser clients must use a referrer policy that sends the application origin. See /neuron-api/api-basics#required-referer-header.
Body
application/json
The body is of type object.
Response
200 - application/json
Success
Show child attributes
Show child attributes